# Update a pool

Update a pool with the specified name and concurrency limit. You cannot update the default pool. The default pool’s concurrency limit is adjusted to accommodate the new concurrency limit. A pool’s concurrency limit cannot be reduced if it has more running attempts than its new reduced concurrency limit.

Endpoint: PATCH /api/pools/{poolId}
Version: 1.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Path parameters:

  - `poolId` (integer, required)

## Request fields (application/json):

  - `concurrencyLimit` (integer)
    Maximum number of concurrent attempts that can run in this pool. Total concurrency limit of all pools cannot exceed the account's concurrency limit.
    Example: 10

  - `name` (string)
    Name of the pool. This name must be unique within the account.
    Example: activation

## Response 200:

  - `200` (unknown)
    Pool updated

## Response 200 fields (application/json):

  - `concurrencyLimit` (integer, required)
    Maximum number of concurrent attempts that can run in this pool. Total concurrency limit of all pools cannot exceed the account's concurrency limit.
    Example: 10

  - `default` (boolean, required)
    Whether the pool is the default pool.
    Example: true

  - `id` (string, required)
    ID of the pool.
    Example: 42

  - `name` (string, required)
    Name of the pool. This name must be unique within the account.
    Example: activation

## Response 400:

  - `400` (unknown)
    Invalid request

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Pool not found

